Return an audit of all changes to the pipeline
curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"action": "<string>",
"identifier": "<string>",
"portalId": 123,
"fromUserId": 123,
"message": "<string>",
"rawObject": {},
"timestamp": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Audit
Return an audit of all changes to the pipeline
Return a reverse chronological list of all mutations that have occurred on the pipeline identified by {pipelineId}.
GET
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
/
audit
Return an audit of all changes to the pipeline
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I